version: "3.9"
services:
  delta1:
    build:
      context: ../../rdf-delta/delta
    image: rdf-delta:latest
    command: --port 1071 --zk=delta1:2181,delta2:2182,delta3:2183 --zkCfg=/conf/zoo.cfg
    container_name: delta1
    ports:
     - "1081:1071"
    volumes:
     - $PWD/conf1:/conf
     - $PWD/store1:/store
    networks:
      oak-net:
  delta2:
    build:
      context: ../../rdf-delta/delta
    image: rdf-delta:latest
    command: --port 1072 --zk=delta1:2181,delta2:2182,delta3:2183 --zkCfg=/conf/zoo.cfg
    container_name: delta2
    ports:
     - "1082:1072"
    volumes:
     - $PWD/conf2:/conf
     - $PWD/store2:/store
    networks:
      oak-net:
  delta3:
    build:
      context: ../../rdf-delta/delta
    image: rdf-delta:latest
    command: --port 1073 --zk=delta1:2181,delta2:2182,delta3:2183 --zkCfg=/conf/zoo.cfg
    container_name: delta3
    ports:
     - "1083:1073"
    volumes:
     - $PWD/conf3:/conf
     - $PWD/store3:/store
    networks:
      oak-net:
  fuseki1:
    build:
      context: ../../rdf-delta/fuseki
    image: rdf-fuseki:latest
    command: --port 3031 --conf /conf/fuseki-config.ttl
    container_name: fuseki1
    depends_on:
      - delta1
      - delta2
      - delta3
    environment: 
      VIRTUAL_HOST: localhost
      VIRTUAL_PORT: 3031
    ports:
     - "3033:3031"
    volumes:
     - $PWD:/conf
    networks:
      oak-net:
  fuseki2:
    build:
      context: ../../rdf-delta/fuseki
    image: rdf-fuseki:latest
    command: --port 3031 --conf /conf/fuseki-config.ttl
    container_name: fuseki2
    depends_on:
      - delta1
      - delta2
      - delta3
    environment: 
      VIRTUAL_HOST: localhost
      VIRTUAL_PORT: 3031
    ports:
     - "3034:3031"
    volumes:
     - $PWD:/conf
    networks:
      oak-net:
  nginx-proxy:
    container_name: nginx-proxy
    depends_on:
      - fuseki1
      - fuseki2
    image: nginxproxy/nginx-proxy:alpine
    ports:
      - "3032:80"
    volumes:
      - /var/run/docker.sock:/tmp/docker.sock:ro
    networks:
      oak-net:
networks:
  oak-net:
